nl.tudelft.simulation.examples.dsol.terminal

## Class IntResource.Request<A extends Comparable<A>,R extends Number & Comparable<R>,T extends SimTime<A,R,T>>

- java.lang.Object
- - nl.tudelft.simulation.examples.dsol.terminal.IntResource.Request<A,R,T>

Type Parameters:
  `A` - the absolute time type to use in timed events
  `R` - the relative time type
  `T` - the simulation time type to use.

Enclosing class:
  IntResource<A extends Comparable<A>,R extends Number & Comparable<R>,T extends SimTime<A,R,T>>

    public static class IntResource.Request<A extends Comparable<A>,R extends Number & Comparable<R>,T extends SimTime<A,R,T>>
    extends Object

A Request.

### Constructor Summary

Constructors
Constructor and Description
`Request(IntResourceRequestorInterface<A,R,T> requestor, long amount, int priority)` constructs a new Request.

### Method Summary

All Methods Instance Methods Concrete Methods
`long` `getAmount()` gets the requested amount.
`long` `getId()` returns the id of the request.
`int` `getPriority()` returns the priority of the request.
`IntResourceRequestorInterface<A,R,T>` `getRequestor()` gets the requestor.
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### Request

    public Request(IntResourceRequestorInterface<A,R,T> requestor,
                   long amount,
                   int priority)

constructs a new Request.

Parameters:
  `requestor` - IntResourceRequestorInterface<A,R,T>; the requestor
  `amount` - long; the requested amount
  `priority` - int; the priority of the request

### Method Detail

#### getAmount

    public final long getAmount()

gets the requested amount.

Returns:
  the requested amount

#### getRequestor

    public final IntResourceRequestorInterface<A,R,T> getRequestor()

gets the requestor.

Returns:
  the Requestor.

#### getPriority

    public final int getPriority()

returns the priority of the request.

Returns:
  the priority

#### getId

    public final long getId()

returns the id of the request.

Returns:
  the id

#### toString

    public final String toString()

Overrides:
  `toString` in class `Object`